# Tasks to have passwordless SSH between login node and compute nodes
---
  
- name: verify the public key file existence
  stat:
    path: "{{ rsa_id_file }}"
  register: verify_rsa_id_file

- name: generate ssh key pair
  command: ssh-keygen -t rsa -b 4096 -f "{{ rsa_id_file }}" -q -N "{{ passphrase }}"
  timeout: 30
  when: not verify_rsa_id_file.stat.exists
  
- name: add public key to authorized keys
  shell: 'cat "{{ rsa_id_file }}.pub" >> "{{ auth_key_path }}"'
  register: read_pub_key
